MasterFile
Export
POST
/
masterfiles
/
export
/
pdf
Export
curl --request POST \
--url https://sandbox.syngrafii.com/api/v1/masterfiles/export/pdf \
--header 'Content-Type: application/json' \
--header 'api_key: <api-key>' \
--data '
{
"packageId": "<string>"
}
'import requests
url = "https://sandbox.syngrafii.com/api/v1/masterfiles/export/pdf"
payload = { "packageId": "<string>" }
headers = {
"api_key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {api_key: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({packageId: '<string>'})
};
fetch('https://sandbox.syngrafii.com/api/v1/masterfiles/export/pdf', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
HTTP/1.1 200 OK
Content-Type: application/pdf
Content-Disposition: attachment; name="example.pdf";filename*=utf-8''example.pdf
<PDF-BINARY-DATA>
You can export a customized version of the MasterFile PDF through the
masterfiles/export/pdf endpoint.
MasterFile export allows you to control the included sections, PII, as well as filtering sections to include or exclude specific record types.
Request
Request
POST /masterfiles/export/pdf
{
"packageId": "245f9562-7ddc-4d38-9e61-2d75b0774af9",
"signerId": null,
"options": {
"details": {
"include": true,
"maps": false,
"counts": true
},
"host": null,
"signers": {
"include": true,
"name": true,
"email": false,
"mobileNumber": false,
"device": false,
"ipAddress": false,
"location": false,
"verification": {
"include": true,
"passed": true,
"failed": true,
"errored": false,
"analysis": true,
"data": true,
"identity": true,
"documents": {
"include": true,
"includeTypes": [
"drivers_license",
"passport"
],
"images": {
"include": true,
"includeTypes": [
"live_photo"
]
}
}
}
},
"recipients": {
"include": false
},
"documents": {
"include": true
},
"meetings": null,
"verificationHistory": {
"include": false
},
"accessHistory": {
"include": false
},
"packageHistory": {
"include": true,
"excludeTypes": [
"package_added"
]
},
"notificationHistory": {
"include": false
},
"logs": {
"include": true,
"excludeTypes": [
"field_digitalsignature_add",
"page_enter",
"page_exit"
]
}
}
}
Body
string
required
Unique package ID of the package to export MasterFile for.
string
Generates the MasterFile for the specified signer ID, hiding other signers’ PII and including the specified signer’s PII based on the export options.
If not provided, the MasterFile will include all signers’ PII based on the export options.
string
Overrides the default package or organization’s time zone.IANA Time Zones: https://www.iana.org/time-zones
boolean
default:false
When set to true the export options will not be merged with the default MasterFile export options. This is useful if you do not want new sections to automatically appear in future releases.
object
Options to customize how the MasterFile PDF is generated during export.
Show properties
Show properties
object
object
Show properties
Show properties
boolean
default:true
Include link in footer that can be used to request viewing the MasterFile online.
object
Show properties
Show properties
boolean
default:true
Include host section.
boolean
default:true
Include name.
boolean
default:true
Include email.
boolean
default:true
Include mobile number.
boolean
default:true
Include device details.
boolean
default:true
Include IP address.
boolean
default:true
include location details.
object
Show properties
Show properties
boolean
default:false
Include verification section
boolean
default:false
Include verification ID in verification summary
boolean
default:true
Include verification results that have passed
boolean
default:true
Include verification results that have failed
boolean
default:false
Include verification results that were not processed due to an error
boolean
default:true
Include result analysis section
boolean
default:true
Include result identity section
boolean
default:true
Include result data section
object[]
Show properties
Show properties
boolean
default:true
Include verification documents
string[]
Include by Verification Document Type
Show values
Show values
| Key | Description |
|---|---|
| drivers_license | Driver’s License |
| health_card | Health Card |
| identity_card | Identity Card |
| military_id | Military ID |
| other | Other (Returned when document type detection failed) |
| passport | Passport |
| resident_card | Resident Card |
| travel_document | Travel Document |
| visa | Visa |
| voter_id | Voter ID |
string[]
Exclude by Verification Document Type
| Key | Description |
|---|---|
| drivers_license | Driver’s License |
| health_card | Health Card |
| identity_card | Identity Card |
| military_id | Military ID |
| other | Other (Returned when document type detection failed) |
| passport | Passport |
| resident_card | Resident Card |
| travel_document | Travel Document |
| visa | Visa |
| voter_id | Voter ID |
object[]
Show properties
Show properties
boolean
default:true
Include verification document images
string[]
Include by Verification Document Image Type
Show values
Show values
| Key | Description |
|---|---|
| live_photo | Selfie of signer captured during live selfie process of document verification. |
| front | Front image of document captured during document verification. |
| back | Back image of document captured during document verification. |
| passport | Image of passport captured during document verification. |
string[]
Exclude by Verification Document Image Type
Show values
Show values
| Key | Description |
|---|---|
| live_photo | Selfie of signer captured during live selfie process of document verification. |
| front | Front image of document captured during document verification. |
| back | Back image of document captured during document verification. |
| passport | Image of passport captured during document verification. |
object
Show properties
Show properties
boolean
default:true
Include signers section.
boolean
default:true
Include name.
boolean
default:true
Include email.
boolean
default:true
Include mobile number.
boolean
default:true
Include device details.
boolean
default:true
Include IP address.
boolean
default:true
include location details.
object
boolean
default:false
Include verification section
boolean
default:false
Include verification ID in verification summary
boolean
default:true
Include verification results that have passed
boolean
default:true
Include verification results that have failed
boolean
default:false
Include verification results that were not processed due to an error
boolean
default:true
Include result analysis section
boolean
default:true
Include result identity section
boolean
default:true
Include result data section
object[]
Show properties
Show properties
boolean
default:true
Include verification documents
string[]
Include by Verification Document Type
Show values
Show values
| Key | Description |
|---|---|
| drivers_license | Driver’s License |
| health_card | Health Card |
| identity_card | Identity Card |
| military_id | Military ID |
| other | Other (Returned when document type detection failed) |
| passport | Passport |
| resident_card | Resident Card |
| travel_document | Travel Document |
| visa | Visa |
| voter_id | Voter ID |
string[]
Exclude by Verification Document Type
| Key | Description |
|---|---|
| drivers_license | Driver’s License |
| health_card | Health Card |
| identity_card | Identity Card |
| military_id | Military ID |
| other | Other (Returned when document type detection failed) |
| passport | Passport |
| resident_card | Resident Card |
| travel_document | Travel Document |
| visa | Visa |
| voter_id | Voter ID |
object[]
Show properties
Show properties
boolean
default:true
Include verification document images
string[]
Include by Verification Document Image Type
Show values
Show values
| Key | Description |
|---|---|
| live_photo | Selfie of signer captured during live selfie process of document verification. |
| front | Front image of document captured during document verification. |
| back | Back image of document captured during document verification. |
| passport | Image of passport captured during document verification. |
string[]
Exclude by Verification Document Image Type
Show values
Show values
| Key | Description |
|---|---|
| live_photo | Selfie of signer captured during live selfie process of document verification. |
| front | Front image of document captured during document verification. |
| back | Back image of document captured during document verification. |
| passport | Image of passport captured during document verification. |
string[]
Include signers by ID.
string[]
Exclude signers by ID.
string[]
Include by signers by role(s).
| Value | Description |
|---|---|
| signer | Signer |
| guest | Guest of VSR or In Person signing that is not a signer of any documents |
| host | Host of VSR or In Person signing |
string[]
Exclude by signers by role(s).
| Value | Description |
|---|---|
| signer | Signer |
| guest | Guest of VSR or In Person signing that is not a signer of any documents |
| host | Host of VSR or In Person signing |
string[]
Include by signers by type(s).
| Value | Description |
|---|---|
| signer | Signer |
| guest | Signer that was added by the host during VSR or In Person signing session |
string[]
Exclude by signers by type(s).
| Value | Description |
|---|---|
| signer | Signer |
| guest | Signer that was added by the host during VSR or In Person signing session |
object
Show properties
Show properties
boolean
default:true
Include recipients section.
boolean
default:true
Include name.
boolean
default:true
Include email.
boolean
default:true
Include mobile number.
boolean
default:true
Include device details.
boolean
default:true
Include IP address.
boolean
default:true
include location details.
string[]
Include recipients by ID.
string[]
Exclude recipients by ID.
string[]
Include by recipients by type(s).
| Value | Description |
|---|---|
| cc | Recipient that will be CC on package email notifications. |
| bcc | Recipient that will be BCC on package email notifications. |
string[]
Exclude by recipients by type(s).
| Value | Description |
|---|---|
| cc | Recipient that will be CC on package email notifications. |
| bcc | Recipient that will be BCC on package email notifications. |
object
Show properties
Show properties
boolean
default:true
Include access history section.
string[]
Include access history by action(s).
| Value | Description |
|---|---|
| access_challenged | Signer was issued MFA challenge |
| access_failed | Signer failed MFA attempt |
| access_lockout | Signer failed MFA attempt multiple times in a row and was temporarily locked out |
| document_opened | Signer opened document |
| meeting_joined | Signer joined VSR meeting |
| mobile_started | Signer started mobile signature pad session |
| session_started | Signer started signing session |
| verification_started | Signer started verification session |
string[]
Exclude access history by action(s).
| Value | Description |
|---|---|
| access_challenged | Signer was issued MFA challenge |
| access_failed | Signer failed MFA attempt |
| access_lockout | Signer failed MFA attempt multiple times in a row and was temporarily locked out |
| document_opened | Signer opened document |
| meeting_joined | Signer joined VSR meeting |
| mobile_started | Signer started mobile signature pad session |
| session_started | Signer started signing session |
| verification_started | Signer started verification session |
string[]
Include access history by type(s).
| Value | Description |
|---|---|
| meeting | VSR meeting access history |
| mobile | Mobile signature pad access history |
| security | MFA access history |
| session | Signing session access history |
| verification | Verification session access history |
string[]
Exclude access history by type(s).
| Value | Description |
|---|---|
| meeting | VSR meeting access history |
| mobile | Mobile signature pad access history |
| security | MFA access history |
| session | Signing session access history |
| verification | Verification session access history |
object
Show properties
Show properties
boolean
default:true
Include package history section.
string[]
Include package history by type(s).
| Value | Description |
|---|---|
| document_added | Document was added |
| document_deleted | Document was deleted |
| document_regen | Document was regenerated after changes |
| document_regen_signed | Signed document was regenerated after changes requiring signer(s) to sign the document again |
| document_updated | Document was modified |
| document_updated_template | Document template was updated |
| document_updated_template_annotation_added | Package owner added annotation to document |
| document_updated_template_annotation_deleted | Package owner deleted annotation from document |
| document_updated_template_annotation_updated | Package owner updated annotation in document |
| master_file_exported | MasterFile was exported by organization member |
| meeting_added | VSR meeting was scheduled |
| meeting_deleted | VSR meeting was cancelled |
| meeting_updated | VSR meeting was updated |
| meeting_video_deleted | VSR video was deleted |
| package_added | Package was added |
| package_deleted | Package was deleted |
| package_passphrase | MFA passphrase was added to package |
| package_sent | Package was sent to signer |
| package_updated | Package was updated |
| recipient_added | Recipient was added |
| recipient_deleted | Recipient was deleted |
| recipient_updated | Recipient was updated |
| signer_added | Signer was added |
| signer_deleted | Signer was deleted |
| signer_updated | Signer was updated |
| verification_viewed | Verification was viewed by organization member |
string[]
Exclude package history by type(s).
| Value | Description |
|---|---|
| document_added | Document was added |
| document_deleted | Document was deleted |
| document_regen | Document was regenerated after changes |
| document_regen_signed | Signed document was regenerated after changes requiring signer(s) to sign the document again |
| document_updated | Document was modified |
| document_updated_template | Document template was updated |
| document_updated_template_annotation_added | Package owner added annotation to document |
| document_updated_template_annotation_deleted | Package owner deleted annotation from document |
| document_updated_template_annotation_updated | Package owner updated annotation in document |
| master_file_exported | MasterFile was exported by organization member |
| meeting_added | VSR meeting was scheduled |
| meeting_deleted | VSR meeting was cancelled |
| meeting_updated | VSR meeting was updated |
| meeting_video_deleted | VSR video was deleted |
| package_added | Package was added |
| package_deleted | Package was deleted |
| package_passphrase | MFA passphrase was added to package |
| package_sent | Package was sent to signer |
| package_updated | Package was updated |
| recipient_added | Recipient was added |
| recipient_deleted | Recipient was deleted |
| recipient_updated | Recipient was updated |
| signer_added | Signer was added |
| signer_deleted | Signer was deleted |
| signer_updated | Signer was updated |
| verification_viewed | Verification was viewed by organization member |
object
Show properties
Show properties
boolean
default:true
Include notification history section.
string[]
Include notification history by template(s).
| Value | Description |
|---|---|
| document_accessed | Document was opened by signer |
| document_executed | Document was executed by all signers |
| document_executed_all | All documents were executed by all signers |
| document_next | Next signer in a sequential signing |
| document_reminder | Reminder to sign document(s) |
| document_signed | Document signed by signer |
| mobile_link | Link to open mobile signature pad |
| package_cancelled | Signing package was cancelled |
| package_executed | Signing package was executed by all signers |
| package_masterfile_link | MasterFile link was requested and sent to signer’s email address |
| package_meeting | VSR meeting was scheduled |
| package_meeting_cancelled | VSR meeting was cancelled |
| package_notification | Custom signing package notification was sent to signer |
| package_notification_failed | Delivery failure notification sent to package owner |
| package_review_link | Package review link was requested and sent to signer’s email address |
| package_sign | Signing package sign document(s) request sent to signer |
| package_updated | Signing package has been updated |
| security_code | MFA security code has been sent to signer’s mobile number |
| verification_completed | Signer completed IDV |
| verification_failed | Signer failed IDV |
| verification_link | Link to open IDV |
string[]
Exclude notification history by template(s).
| Value | Description |
|---|---|
| document_accessed | Document was opened by signer |
| document_executed | Document was executed by all signers |
| document_executed_all | All documents were executed by all signers |
| document_next | Next signer in a sequential signing |
| document_reminder | Reminder to sign document(s) |
| document_signed | Document signed by signer |
| mobile_link | Link to open mobile signature pad |
| package_cancelled | Signing package was cancelled |
| package_executed | Signing package was executed by all signers |
| package_masterfile_link | MasterFile link was requested and sent to signer’s email address |
| package_meeting | VSR meeting was scheduled |
| package_meeting_cancelled | VSR meeting was cancelled |
| package_notification | Custom signing package notification was sent to signer |
| package_notification_failed | Delivery failure notification sent to package owner |
| package_review_link | Package review link was requested and sent to signer’s email address |
| package_sign | Signing package sign document(s) request sent to signer |
| package_updated | Signing package has been updated |
| security_code | MFA security code has been sent to signer’s mobile number |
| verification_completed | Signer completed IDV |
| verification_failed | Signer failed IDV |
| verification_link | Link to open IDV |
string[]
Include notification history by type(s).
| Value | Description |
|---|---|
| Email notification | |
| sms | SMS notification |
string[]
Exclude notification history by type(s).
| Value | Description |
|---|---|
| Email notification | |
| sms | SMS notification |
object
Show properties
Show properties
boolean
default:true
Include signing logs section.
string[]
Include signing logs by type(s).
| Value | Description |
|---|---|
| document_opened | Document opened |
| document_saved | Document saved |
| document_finalized | Document finalized |
| page_enter | Page entered |
| page_exit | Page exited |
| field_annotation_add | Annotation field added (free form ink annotations) |
| field_checkbox_check | Checkbox field checked |
| field_checkbox_uncheck | Checkbox field unchecked |
| field_date_add | Date field added |
| field_date_delete | Date field deleted |
| field_digitalsignature_add | Digital Signature field added |
| field_digitalsignature_delete | Digital Signature field deleted |
| field_dropdown_delete | Dropdown field deleted |
| field_dropdown_select | Dropdown field selected |
| field_image_add | Image field added |
| field_image_delete | Image field deleted |
| field_initials_add | Initials added |
| field_initials_delete | Initials deleted |
| field_radio_select | Radio field selected |
| field_signature_add | Signature field added |
| field_signature_delete | Signature field deleted |
| field_stamp_add | Stamp field added |
| field_text_add | Text field added |
| field_text_delete | Text field deleted |
string[]
Exclude signing logs by type(s).
| Value | Description |
|---|---|
| document_opened | Document opened |
| document_saved | Document saved |
| document_finalized | Document finalized |
| page_enter | Page entered |
| page_exit | Page exited |
| field_annotation_add | Annotation field added (free form ink annotations) |
| field_checkbox_check | Checkbox field checked |
| field_checkbox_uncheck | Checkbox field unchecked |
| field_date_add | Date field added |
| field_date_delete | Date field deleted |
| field_digitalsignature_add | Digital Signature field added |
| field_digitalsignature_delete | Digital Signature field deleted |
| field_dropdown_delete | Dropdown field deleted |
| field_dropdown_select | Dropdown field selected |
| field_image_add | Image field added |
| field_image_delete | Image field deleted |
| field_initials_add | Initials added |
| field_initials_delete | Initials deleted |
| field_radio_select | Radio field selected |
| field_signature_add | Signature field added |
| field_signature_delete | Signature field deleted |
| field_stamp_add | Stamp field added |
| field_text_add | Text field added |
| field_text_delete | Text field deleted |
Response
Returns a PDF file of the requested package’s MasterFile based on the provided options.HTTP/1.1 200 OK
Content-Type: application/pdf
Content-Disposition: attachment; name="example.pdf";filename*=utf-8''example.pdf
<PDF-BINARY-DATA>
⌘I
Export
